// Obtener configuraciones del módulo
private _module = _this select 0;

// Asignar un ID único al módulo si no tiene uno
private _moduleID = _module getVariable ["IDModulo", -1];
if (_moduleID == -1) then {
    _moduleID = floor random 10000;  // Genera un ID único aleatorio
    _module setVariable ["IDModulo", _moduleID];
};

// Crear el activador para que se active solo cuando un jugador entre en el área
private _trigger = createTrigger ["EmptyDetector", getPos _module];
_trigger setTriggerArea [_module getVariable ["Radio", 150], _module getVariable ["Radio", 150], 0, false];
_trigger setTriggerActivation ["ANYPLAYER", "PRESENT", true];  // Se activa cuando un jugador entra

// Guardar los parámetros en una variable global con el ID del módulo
missionNamespace setVariable [format ["Module_%1", _moduleID], _module];

// Añadir una condición adicional para evitar que el activador se active inmediatamente en el editor
_trigger setTriggerStatements [
    "this && ({alive _x && (_x isKindOf 'CAManBase' || {alive (vehicle _x) && (vehicle _x isKindOf 'LandVehicle' || vehicle _x isKindOf 'Tank' || vehicle _x isKindOf 'Car' || vehicle _x isKindOf 'Air' || vehicle _x isKindOf 'Ship')})} count thisList > 0)", 
    format ["[_this, %1] execVM '@SpawnIA\Addons\SpawnIA\Functions\SpawnWEST.sqf'; deleteVehicle thisTrigger;", _moduleID],
    ""
];



// Script para evitar la generación de tropas en el editor o antes de la activación del trigger
if (isServer && !isEditor) then {
    _module setVariable ["InitSpawn", true]; // Asegura que el módulo esté listo para generar unidades
} else {
    _module setVariable ["InitSpawn", false];
};
