// SpawnWest.sqf

// Recuperar los parámetros desde la variable global usando el ID del módulo
private _moduleID = _this select 1;
private _module = missionNamespace getVariable format ["Module_%1", _moduleID];

// Obtener configuraciones actualizadas del módulo
private _modulePos = getPos _module;
private _radio = _module getVariable ["Radio", 150];
private _minDistance = _module getVariable ["MinDistance", 1];
private _numTropas = _module getVariable ["NumTropas", 12];
private _claseUnidad = _module getVariable ["ClaseUnidad", "B_Soldier_F,B_medic_F,B_Soldier_AR_F,B_Soldier_LAT_F"];
private _checksDelay = _module getVariable ["ChecksDelay", 5];


// Convertir la clase de unidad en un array
private _clasesUnidades = _claseUnidad splitString ",";

// Crear el grupo en la facción West
private _group = createGroup west;

// Generar unidades
for "_i" from 1 to _numTropas do {
    private _position = [_modulePos, _radio, _minDistance] call BIS_fnc_findSafePos;
    private _unidad = _clasesUnidades select (floor random (count _clasesUnidades));

    // Crear la unidad y asignarla al grupo
    private _unit = _group createUnit [_unidad, _position, [], 0, "FORM"];
    _unit setVariable ["BIS_fnc_side", "WEST", true]; // Asignar facción West (WEST)
    _unit enableAI "MOVE";
    _unit enableAI "TARGET";
    _unit enableAI "AUTOTARGET";
    _unit enableAI "AUTOCOMBAT";

    // Establecer modo de combate para que ataquen y se defiendan
    _unit setCombatMode "RED";  // Modo de combate agresivo (atacar inmediatamente)
    _unit setBehaviour "COMBAT"; // Comportamiento de combate activo

    diag_log format ["Generando unidad %1 en %2 con la facción WEST", _unit, _position];
};

