class CfgPatches {
    class SpawnIA {
        units[] = {"SpawnIAModule", "SpawnIAModule_Indep"};
        requiredVersion = 1.0;
        requiredAddons[] = {"A3_Modules_F"};
    };
};

class CfgVehicles {
    class Logic;
    class Module_F: Logic {
        class ArgumentsBaseUnits {
            class Units {};
        };
        class ModuleDescription {
            class AnyBrain {};
        };
    };

    // Módulo para la facción West
    class SpawnIAModule: Module_F {
        scope = 2;
        displayName = "Spawn Units Module (West)";
        category = "SpawnIA";
        function = "SpawnIA_fnc_spawnUnitsWest"; // Función específica para West
        functionPriority = 1;
        isGlobal = 1;
        isTriggerActivated = 1;
        isDisposable = 0;
        is3DEN = 1;
        class Arguments {
            class Radio {
                displayName = "Radio de Spawn";
                description = "Radio de spawn del módulo";
                typeName = "NUMBER";
                defaultValue = 150;
            };
            class MinDistance {
                displayName = "Distancia Mínima";
                description = "Distancia mínima del jugador";
                typeName = "NUMBER";
                defaultValue = 1;
            };
            class NumTropas {
                displayName = "Número de Tropas";
                description = "Número de tropas por sector";
                typeName = "NUMBER";
                defaultValue = 12;
            };
            class ClaseUnidad {
                displayName = "Clase de Unidad";
                description = "Clases de unidades para spawn";
                typeName = "STRING";
                defaultValue = "SPE_GER_rifleman_2,SPE_GER_medic,SPE_GER_radioman,SPE_GER_sapper,SPE_GER_AT_Soldier_squadlead,SPE_GER_Squadlead,SPE_GER_ober_grenadier,SPE_GER_stggunner,SPE_GER_ober_rifleman,SPE_GER_sentry_MP40,SPE_GER_Driver,SPE_GER_mgunner,SPE_GER_hauptmann,SPE_GER_AT_Soldier";
            };
            class UniqueID { // Añadir el ID único aquí
                displayName = "ID único del módulo";
                description = "Identificador único para cada módulo";
                typeName = "STRING";
                defaultValue = "Sector_1";
            };
        };
        class ModuleDescription: ModuleDescription {
            description = "Módulo para generar unidades con configuraciones específicas para West.";
        };
        class EventHandlers {
            init = "_this call SpawnIA_fnc_spawnUnitsWest";
        };
    };

    // Módulo para la facción Independiente
    class SpawnIAModule_Indep: Module_F {
        scope = 2;
        displayName = "Spawn Units Module (Independent)";
        category = "SpawnIA";
        function = "SpawnIA_fnc_spawnUnitsIndep"; // Función específica para Independent
        functionPriority = 1;
        isGlobal = 1;
        isTriggerActivated = 1;
        isDisposable = 0;
        is3DEN = 1;
        class Arguments {
            class Radio {
                displayName = "Radio de Spawn";
                description = "Radio de spawn del módulo";
                typeName = "NUMBER";
                defaultValue = 150;
            };
            class MinDistance {
                displayName = "Distancia Mínima";
                description = "Distancia mínima del jugador";
                typeName = "NUMBER";
                defaultValue = 1;
            };
            class NumTropas {
                displayName = "Número de Tropas";
                description = "Número de tropas por sector";
                typeName = "NUMBER";
                defaultValue = 12;
            };
            class ClaseUnidad {
                displayName = "Clase de Unidad";
                description = "Clases de unidades para spawn";
                typeName = "STRING";
                defaultValue = "SPE_US_Captain,SPE_US_Sentry,SPE_US_Sniper,SPE_US_Rifleman,SPE_US_Grenadier,SPE_US_Engineer,SPE_US_Medic,SPE_US_Radioman,SPE_US_AT_Soldier,SPE_US_HMGunner";
            };
            class UniqueID { // Añadir el ID único aquí
                displayName = "ID único del módulo";
                description = "Identificador único para cada módulo";
                typeName = "STRING";
                defaultValue = "Sector_2";
            };
        };
        class ModuleDescription: ModuleDescription {
            description = "Módulo para generar unidades con configuraciones específicas para Independientes.";
        };
        class EventHandlers {
            init = "_this call SpawnIA_fnc_spawnUnitsIndep";
        };
    };
};

class CfgFactionClasses {
    class West;
    
    class SpawnIA: West {
        displayName = "SpawnIA";
    };
    
    class WETS {
        displayName = "WETS";
        priority = 2;
        side = 0;
    };
    
    class Independent {
        displayName = "Independent";
        priority = 3;
        side = 2;
    };
};

class CfgFunctions {
    class SpawnIA {
        class Functions {
            file = "@SpawnIA\Addons\SpawnIA\Functions";
            
            class spawnUnitsWest {
                description = "Genera unidades para la facción West";
                file = "@SpawnIA\Addons\SpawnIA\Functions\ActivadorWEST.sqf";
            };
            
            class spawnUnitsIndep {
                description = "Genera unidades para la facción Independiente";
                file = "@SpawnIA\Addons\SpawnIA\Functions\ActivadorIND.sqf";
            };
        };
    };
};

class CfgRelation {
    class All {
        class All {
            class All {
                value = 0;
            };
        };
    };
};
